Subject: Re: linux-next: build failure after merge of the clk tree

From: Krzysztof Kozlowski <[email-masked]>
Date: Thu, 26 Feb 2015 10:09:21 +0100

On czw, 2015-02-26 at 13:14 +1100, Stephen Rothwell wrote:
> Hi Mike,
> 
> After merging the clk tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> drivers/clk/clk.c: In function 'clk_disable_unused_subtree':
> drivers/clk/clk.c:514:3: error: label 'out' used but not defined
>    goto out;
>    ^
> 
> Caused by commit a2146f032294 ("clk: Use lockdep asserts to find
> missing hold of prepare_lock").  Commit c440525cb967 ("clk: Remove
> unneeded NULL checks") removed that label along with the NULL check
> that a2146f032294 reintroduces (was this a bad rebase?).  Please do
> simple build tests.
> 
> I have used the clk tree from next-20150225 for today.

Mike,

It seems that my patch did not applied cleanly and the merge introduced
such artifacts. My patch adds only lockdep_asserts and does not
influence the program flow. I can rebase and resend the patch if you
wish.

Best regards,
Krzysztof